Skip to navigation

Add or update user signature

View as Markdown

Adds/updates a user signature.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request

This endpoint expects an object: userSignaturesInformation

userSignatureslist of objectsOptional

An array of userSignature objects.

Response

Successful response.
userSignatureslist of objectsOptional

An array of userSignature objects.

Errors

400
Bad Request Error